Identifying task-relevant spectral signatures of perceptual categorization in the human cortex
============================================================================================================
The data to support the fundings of the research article by  
Ilya Kuzovkin, Juan R. Vidal, Marcela Perrone-Bertlotti, Philippe Kahane, Sylvain Rheims, Jaan Aru, Jean-Philippe Lachau and Raul Vicente  
https://www.biorxiv.org/content/10.1101/483487v1  
http://neuro.cs.ut.ee  


Abstract
--------
Human brain has developed mechanisms to efficiently decode sensory information according to perceptual categories of high prevalence in the environment, such as faces, symbols, objects. Neural activity produced within localized brain networks has been associated with the process that integrates both sensory bottom-up and cognitive top-down information processing. Yet, how specifically the different types and components of neural responses reflect the local networks selectivity for categorical information processing is still unknown. By mimicking the decoding of the sensory information with machine learning we can obtain accurate artificial decoding models. Having the artificial system functionally on par with the biological one we can analyze the mechanics of the artificial system to gain insights into the inner workings of its biological counterpart. In this work we train a Random Forest classification model to decode eight perceptual categories from visual stimuli given a broad spectrum of human intracranial signals (4 – 150 Hz) obtained during a visual perception task, and analyze which of the spectral features the algorithm deemed relevant to the perceptual decoding. We show that network selectivity for a single or multiple categories in sensory and non-sensory cortices is related to specific patterns of power increases and decreases in both low (4 – 50 Hz) and high (50 – 150 Hz) frequency bands. We demonstrate that the locations and patterns of activity that are identified by the algorithm not only coincide with the known spectro-spatial signatures, but extend our knowledge by uncovering additional spectral signatures describing neural mechanisms of visual category perception in human brain.


The Code
--------
The code is available under MIT license from https://github.com/kuz/Spectral-signatures-of-perceptual-categorization-in-human-cortex


The Data
--------
The final preprocessed data contains spectral power readings from intrcerebral electrodes implanted across 100 human subjects. The raw data is not publicly available, but the processed dataset that suppors the findings can be obtained from us upon a request. In this repostory we share data of one subject as an examples. The full dataset size is 237 Gb. This dataset contains 11321 (number of recoding sites) matrix of size 146 (frequencies) x 48 (32 ms time bins).

#### Images
Full set of 419 stimuli presented to the subjects: [images.zip | 3.4 Mb](http://neuro.cs.ut.ee/downloads/intracranial-dcnn/stimuli/images.zip) 
